const Overview = imports.ui.overview;
const Config = imports.misc.config;

let _version;

let oldOverview;

function overviewToggle()
{
    if (this.isDummy)
        return;

    if (this.visible)
    {
        this.hide();
        return;
    }

    if (_version == 3)
        this.viewSelector.showApps();
    else
        this.showApps();
}

function init()
{
    _version = Config.PACKAGE_VERSION.split('.')[0];

    oldOverview = Overview.Overview.prototype['toggle'];
}

function enable()
{
    Overview.Overview.prototype['toggle'] = overviewToggle;
}

function disable()
{
    Overview.Overview.prototype['toggle'] = oldOverview;
}
